Subject: RE: [Capwap] RE: SLAPP and IETF DS Interoperability Requirement

From: "Paul Lambert" <[email-masked]>
Date: Mon, 25 Apr 2005 13:05:24 -0700

> I agree that we don't need another download protocol,

I do not agree.  The protocols you mention do not fully meet the neads
of the CAPWAP environment.  The tftp, http and ftp protocols are not
secure.  The https and sftp protocols might be viable, but would need to
be augmented with additional signalling and specifications to describe
how to load the image.

There's also the interesting system problems of discovery, enrollment
and firmware versioning to be considered. 

Paul

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of James Kempf
> Sent: Monday, April 25, 2005 8:58 AM
> To: subrata goswami; [email-masked]
> Subject: Re: [Capwap] RE: SLAPP and IETF DS Interoperability 
> Requirement
> 
> Subrata,
> 
> I agree that we don't need another download protocol, but I 
> think it might make sense for the CAPWAP protocol to 
> expressly specify which of these protocols is used and how, 
> since I do believe that image download should be a part of 
> the CAPWAP protocol. That will help to foster interoperability.
> 
> Of course, as I've stated on this list before, I also believe 
> that CAPWAP needs more than image download.
> 
>             jak
> 
> ----- Original Message -----
> From: "subrata goswami" <[email-masked]>
> To: <[email-masked]>
> Sent: Saturday, April 23, 2005 8:34 AM
> Subject: Re: [Capwap] RE: SLAPP and IETF DS Interoperability 
> Requirement
> 
> 
> > why do we need another protocol to download image ? pick your choice
> > form the following
> > if image download is the way you want to go.
> >
> > 1. tftp
> > 2. ftp
> > 3. http/s
> > 4. sftp
> > .
> > .
> >
> > dr. subrata goswami
> >
> >
> >
> > Pat Calhoun wrote:
> >
> > >Today, every one of these proprietary protocols have their 
> own protocol
> > >discovery, setup phase, and perhaps even firmware download. So the
> question
> > >I have is how this is really different from what we have 
> today. Every AP
> > >will end up having to support every vendor's proprietary protocol
> anyways,
> > >or at least the ones they care the most about, and 
> probably all in a
> single
> > >firmware image (assuming they can fit that in flash). The 
> only advantage
> I
> > >see is if the AC vendor ports their code to the AP's 
> hardware, which
> doesn't
> > >scale.
> > >
> > >I don't believe that AC vendors will change their actual 
> protocol. I
> mean,
> > >if the AP has to support 3 protocols, all it has to do is 
> send an LWAPP
> > >discovery to my AC and it will get a response, and know 
> what to do. If it
> > >supports 3 protocols, it can send 3 separate discovery 
> packets, or be
> > >configured to support one protocol vs. another. 
> Alternatively, it could
> get
> > >some indication through some DHCP options as to what 
> protocol to run.
> > >
> > >In fact, I would argue that if the AP has to reboot with a 
> separate image
> to
> > >run a specific protocol, it will most likely have to run 
> that protocol's
> > >discovery phase anyhow, since it is generally difficult to maintain
> context
> > >across reboots (yes, it depends on hardware and OS). So 
> the discovery
> phase
> > >of every protocol has to remain intact. Further, you 
> cannot guarantee
> that
> > >all of the ACs that were there prior to the reboot are 
> still available,
> so a
> > >new discovery is required regardless.
> > >
> > >Personally, what I see being proposed here has little value over no
> standard
> > >- it just adds overhead to existing proposals.
> > >
> > >And to Bob's question, where are these other protocols 
> disclosed? How
> will
> > >these AP vendors close the loop and get guaranteed 
> interoperability?
> > >
> > >Pat Calhoun
> > >CTO, Wireless Networking Business Unit
> > >Cisco Systems
> > >
> > >
> > >
> > >
> > >
> > >>-----Original Message-----
> > >>From: [email-masked]
> > >>[mailto:[email-masked]] On Behalf Of Wijnen, 
> Bert (Bert)
> > >>Sent: Saturday, April 23, 2005 3:37 AM
> > >>To: 'Dan Harkins'
> > >>Cc: [email-masked]
> > >>Subject: RE: [Capwap] RE: SLAPP and IETF DS Interoperability
> > >>Requirement (was: Re: [Cap wap] Comments on objectives draft)
> > >>
> > >>So every WTP has to keep at least one backup of a working
> > >>image and have logic to fall back to that if the just
> > >>downloaded image fails to boot?
> > >>
> > >>Bert
> > >>
> > >>
> > >>
> > >>>-----Original Message-----
> > >>>From: [email-masked] 
> [mailto:[email-masked]]On
> > >>>Behalf Of Dan Harkins
> > >>>Sent: Saturday, April 23, 2005 08:11
> > >>>To: Wijnen, Bert (Bert)
> > >>>Cc: [email-masked]
> > >>>Subject: Re: [Capwap] RE: SLAPP and IETF DS Interoperability
> > >>>Requirement
> > >>>(was: Re: [Cap wap] Comments on objectives draft)
> > >>>
> > >>>
> > >>>  The state machine transitions back to the discovery 
> phase and the
> > >>>WTC tries to find a different AC.
> > >>>
> > >>>  Dan.
> > >>>
> > >>>On Fri, 22 Apr 2005 22:30:12 +0200 you wrote
> > >>>
> > >>>
> > >>>>Mmmm.... inline
> > >>>>
> > >>>>
> > >>>>
> > >>>>>-----Original Message-----
> > >>>>>From: [email-masked]
> > >>>>>
> > >>>>>
> > >>>[mailto:[email-masked]]On
> > >>>
> > >>>
> > >>>>>Behalf Of Dan Harkins
> > >>>>>Sent: Wednesday, April 13, 2005 18:29
> > >>>>>To: Bob O'Hara
> > >>>>>Cc: [email-masked]
> > >>>>>Subject: Re: SLAPP and IETF DS Interoperability
> > >>>>>
> > >>>>>
> > >>>Requirement (was: Re:
> > >>>
> > >>>
> > >>>>>[Capwap] Comments on objectives draft)
> > >>>>>
> > >>>>>
> > >>>>>  Bob,
> > >>>>>
> > >>>>>  The -01 version of SLAPP accomplishes "provisioning
> > >>>>>
> > >>>>>
> > >>>802.11 access
> > >>>
> > >>>
> > >>>>>points to provide WLAN Service" through the downloading
> > >>>>>
> > >>>>>
> > >>>of a bootable
> > >>>
> > >>>
> > >>>>>image onto the AP. The AP boots that image and is
> > >>>>>
> > >>>>>
> > >>provisioned by a
> > >>
> > >>
> > >>>>>control protocol contained there.
> > >>>>>
> > >>>>>
> > >>>>And if that image fails to reboot properly?
> > >>>>What happens then?
> > >>>>
> > >>>>
> > >>>>
> > >>>>>The technique described by
> > >>>>>SLAPP does, indeed, end up provisioning the AP to provide
> > >>>>>
> > >>>>>
> > >>>WLAN service
> > >>>
> > >>>
> > >>>>>and examples of this exist today.
> > >>>>>
> > >>>>>  Dan.
> > >>>>>
> > >>>>>
> > >>>>>
> > >>>>Bert
> > >>>>_______________________________________________
> > >>>>Capwap mailing list
> > >>>>[email-masked]
> > >>>>http://mail.frascone.com/mailman/listinfo/capwap
> > >>>>
> > >>>>
> > >>>_______________________________________________
> > >>>Capwap mailing list
> > >>>[email-masked]
> > >>>http://mail.frascone.com/mailman/listinfo/capwap
> > >>>
> > >>>
> > >>>
> > >>_______________________________________________
> > >>Capwap mailing list
> > >>[email-masked]
> > >>http://mail.frascone.com/mailman/listinfo/capwap
> > >>
> > >>
> > >_______________________________________________
> > >Capwap mailing list
> > >[email-masked]
> > >http://mail.frascone.com/mailman/listinfo/capwap
> > >
> > >
> > >
> > >
> >
> > _______________________________________________
> > Capwap mailing list
> > [email-masked]
> > http://mail.frascone.com/mailman/listinfo/capwap
> >
> 
> 
> _______________________________________________
> Capwap mailing list
> [email-masked]
> http://mail.frascone.com/mailman/listinfo/capwap
> 
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap